Subject: bug#16026: Gnus shouldn't use old connections

From: Ted Zlatanov <[email-masked]>
Date: Mon, 30 Jan 2017 15:12:37 -0500

On Wed, 25 Jan 2017 13:26:04 -0500 Stefan Monnier <[email-masked]> wrote: 

>> There is `nntp-connection-timeout', and nnimap could have something
>> similar, I guess.

>> The difficulty is in determining what a good timeout should be.  If you
>> send an EXPUNGE to an IMAP server, it may legitimately take many
>> seconds, and you get no output from the server while it's doing this.
>> If you kill the connection and reissue the commands, you then get error
>> messages, I think?

SM> I think in my case a timeout of 30min would cover the main cases already
SM> (i.e. the machine was suspended for more than 30min).

I would make it a per-connection setting using the scheme that Michael
Albinus has implemented. Then it can be set per host etc.

Ted